EDIT - bug #10193

OutOfMemory exception when exporting mexico flora
12/01/2022 12:17 AM - Andreas Muller

Status: New Start date:
Priority: Highest Due date:
Assignee: Katja Luther % Done:
Category: cdmadapter Estimated time:
Target version: Release 5.44

Severity: normal Found in Version:
Description

When running CDM-I export the OOME occurred after about 85% (see logfile at about line 39.467).

A bit earlier (line 39.370) a deadlock appears in C3P0PooledConnectionPoolManager which might be caused by the memory issue

(or is the OOME caused by the deadlock?).

Starting with about 75% the export becomes much slower. Before it is about 2 min per 10% then it becomes 15min per 10%.

After the OOME there come some JDBC exceptions like "Caused by: java.sql.SQLException: Not a navigable ResultSet." which are

probably consecutive errors of the OOME.

Solutions:

e we need to further optimize memory handling during exports e.g. by trying to profile it
¢ a first workaround for the efloramex could be to give some more memory to the CDM server instance

History

#1 - 12/01/2022 12:19 AM - Andreas Miiller

- Tags changed from export, memory to export, memory, cdmlight

KL, | assigend the ticket to you as you may implement the workaround solution.

If this works we may discuss how to procede.

#2 - 01/05/2023 05:04 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44

#3 - 02/28/2023 11:08 AM - Andreas Miiller
- Tags changed from export, memory, cdmlight to export, memory, cdmlight, mexico, euro+med

- Priority changed from New to Highest

The problem is also relevant for E+M.

Files

mexico-cdm-server-2022-11-30.7z 340 KB 11/30/2022
